<?
define('PROTECTOR', 1);

$headmod = 'pers';//фикс. места

$textl='Персонаж';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');
//ресы
$jel = mysql_fetch_array(mysql_query("SELECT `kol` FROM `res` WHERE `usr` = '$log' and `lat_name`= 'jelezo'"));
$kam = mysql_fetch_array(mysql_query("SELECT `kol` FROM `res` WHERE `usr` = '$log' and `lat_name`= 'kamen'"));
$nef = mysql_fetch_array(mysql_query("SELECT `kol` FROM `res` WHERE `usr` = '$log' and `lat_name`= 'nefrit'"));
$obs = mysql_fetch_array(mysql_query("SELECT `kol` FROM `res` WHERE `usr` = '$log' and `lat_name`= 'obsidian'"));
$ser = mysql_fetch_array(mysql_query("SELECT `kol` FROM `res` WHERE `usr` = '$log' and `lat_name`= 'serebro'"));
if($udata[klas]=="fighert"){
if($udata[wins]>=0 and $udata[wins]<500){$stat2="Новичок";}
elseif($udata[wins]>=500 and $udata[wins]<2000){$stat2="Боец";}
elseif($udata[wins]>=2000 and $udata[wins]<5000){$stat2="Рыцарь";}
elseif($udata[wins]>=5000 and $udata[wins]<10000){$stat2="Гладиатор";}
elseif($udata[wins]>=10000 and $udata[wins]<15000){$stat2="Титан";}
elseif($udata[wins]>15000 and $udata[wins]<20000){$stat2="Богатырь";}
elseif($udata[wins]>20000){$stat2="Бог";}}

if($udata[klas]=="wizard"){
if($udata[wins]>=0 and $udata[wins]<500){$stat2="Новичок";}
elseif($udata[wins]>=500 and $udata[wins]<2000){$stat2="Ученик";}
elseif($udata[wins]>=2000 and $udata[wins]<5000){$stat2="Волшебник";}
elseif($udata[wins]>=5000 and $udata[wins]<10000){$stat2="Магистр магии";}
elseif($udata[wins]>=10000 and $udata[wins]<15000){$stat2="Чародей";}
elseif($udata[wins]>15000 and $udata[wins]<20000){$stat2="Властелин";}
elseif($udata[wins]>20000){$stat2="Повелитель";}}

if(empty($_GET[act])){

if($udata[lvl]<5){$st="a";}
elseif($udata[lvl]>=5 and $udata[lvl]<10){$st="b";}
elseif($udata[lvl]>=10 and $udata[lvl]<15){$st="c";}
elseif($udata[lvl]>=15 and $udata[lvl]<20){$st="d";}
elseif($udata[lvl]>=20 and $udata[lvl]<25){$st="e";}
elseif($udata[lvl]>=25 and $udata[lvl]<35){$st="f";}
elseif($udata[lvl]>=35 and $udata[lvl]<45){$st="g";}
elseif($udata[lvl]>=45 and $udata[lvl]<55){$st="h";}
elseif($udata[lvl]>=55){$st="i";}
if(!empty($udata[clan])){
$req = mysql_query("SELECT `emblema` FROM `clan` WHERE `lider` = '$udata[clan]'");
$wh = mysql_fetch_array($req);
if(!empty($wh[emblema])){echo"<img src=\"pic/clan/$wh[emblema]\" alt=\"*\"/> <font color='#e8c25d'> <b>$log</b> ";}}
else {echo"<font color='#e8c25d'><b>$log </b>";}
echo"<img src=\"pic/up.png\" alt=\"*\"/> <b>$udata[lvl]</b>  ур.<br>";
if($udata[klas]=="wizard"){$kln="Маг";}
if($udata[klas]=="fighert"){$kln="Воин";}
if($udata[storona]=="white"){echo" <b>Светлый $kln";$papka="scw";}
if($udata[storona]=="black"){echo" <b>Тёмный $kln";$papka="scb";}
echo" ($stat2)</b> ";
echo"</b><br/>";
if($udata[klas]=="wizard"){$kl="w";}
if($udata[klas]=="fighert"){$kl="f";}
if($udata[prava]=="5"){$status="Главный Администратор игры";$im=adm;}
if($udata[prava]=="4"){$status="Игровой Администратор";$im=adm;}
if($udata[prava]=="3"){$status="Старший Модератор";$im=mod3;}
if($udata[prava]=="2"){$status="Модератор";$im=mod;}
if($udata[prava]=="0"){$status="Игрок";$im=gam;}
echo "Статус: <b>$status</b> </font><img src='pic/main/status/$udata[pol]$im.png'/></b><br/>";
if(!empty($set[avatar])){echo"<img src='pic/avatar/upload/$set[avatar]' alt=\"*\"/></br>";}
elseif(!empty($udata[avatar])){echo"<img src='pic/nova/$papka/$udata[avatar]' alt=\"*\"/></br>";}
else 
{echo"<img src='pic/avatar/human/$udata[storona]/$udata[pol]$kl$st.png'/><br/>";}
if($avtob == 1){echo"<font color='red'>ВЫ ЗАБЛОКИРОВАНЫ</br>ПРИЧИНА: $ban[text]</br></font>";}
echo"<font color='#f1d99a'>";
if($udata[skill]>0){echo"<b>Очков для распределения: ".$udata[skill]."</b><br/>";}
$nlvl = $op-$udata[exp];
echo"Опыт: $udata[exp] / $op<br/></font>";
echo"<img src=\"exp.php\" alt=\"*\"/></br>";
echo"Монет: <img src=\"pic/bazar.gif\" alt=\"*\"/> <b>$udata[money]</b><br/>";
echo"Алмазов: <img src=\"pic/almaz.png\" alt=\"*\"/> <b>$udata[almaz]</b><br/>";

$ref = mysql_query("SELECT * FROM `users` WHERE `ref` = '$udata[id]'");
$avtos=mysql_num_rows($ref);
if($avtos>=1){echo"Друзей:<font color='#f1d99a'><b> $avtos </font></b></br>";}
if($set[pred]>0){echo"Предупреждений: <b>$set[pred]</b></br>";}else{echo"Предупреждений: <b>нет</b></br>";}
echo"Профессия:";
if($set[shahter]+$set[kuznec]+$set[razb]==0){echo" <a href=\"profi.php?\">Нет профессий</a></br>";}else{
echo" <a href=\"profi.php?\">Посмотреть</a></br>";}
if(!empty($udata[clan])){
$req = mysql_query("SELECT * FROM `clan` WHERE `lider` = '$udata[clan]' LIMIT 1");
$clan = mysql_fetch_array($req);
echo"Вы в клане: <b><a href=\"clan.php?id=$clan[id]\">$clan[name]</a></b><br/>";
}else{echo"";}
$req = mysql_query("SELECT id,name FROM `pit` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto==1){
$pit = mysql_fetch_array($req);
echo"Питомец: <b><a href=\"pit.php?id=$pit[id]\">$pit[name]</a></b><br/>";}

echo'</div><div class="menu">';
echo"<b>Параметры:</b><br/><font color='#f1d99a'>";
if(!empty($_GET[acti])){

if($_GET[acti]=="sila"){
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[sila]+1;
mysql_query("UPDATE users SET skill = '$nskill',sila='$nparm' WHERE `usr` = '$log'");
echo'<img src="pic/yes.png" alt="*"/> Параметр повышен успешно!<br/>';
}else{
echo'<img src="pic/no.png" alt="*"/> Нет свободных очков опыта!<br/>';
}
}

if($_GET[acti]=="prot"){
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[prot]+1;
mysql_query("UPDATE users SET skill = '$nskill',prot='$nparm' WHERE `usr` = '$log'");
echo'<img src="pic/yes.png" alt="*"/> Параметр повышен успешно!<br/>';
}else{
echo'<img src="pic/no.png" alt="*"/> Нет свободных очков опыта!<br/>';
}
}

if($_GET[acti]=="lovk"){
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[lovk]+1;
mysql_query("UPDATE users SET skill = '$nskill',lovk='$nparm' WHERE `usr` = '$log'");
echo'<img src="pic/yes.png" alt="*"/> Параметр повышен успешно!<br/>';
}else{
echo'<img src="pic/no.png" alt="*"/> Нет свободных очков опыта!<br/>';
}
}

if($_GET[acti]=="krit"){
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[krit]+3;
mysql_query("UPDATE users SET skill = '$nskill',krit='$nparm' WHERE `usr` = '$log'");
echo'<img src="pic/yes.png" alt="*"/> Параметр повышен успешно!<br/>';
}else{
echo'<img src="pic/no.png" alt="*"/> Нет свободных очков опыта!<br/>';
}
}

if($_GET[acti]=="ukrit"){
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[ukrit]+3;
mysql_query("UPDATE users SET skill = '$nskill',ukrit='$nparm' WHERE `usr` = '$log'");
echo'<img src="pic/yes.png" alt="*"/> Параметр повышен успешно!<br/>';
}else{
echo'<img src="pic/no.png" alt="*"/> Нет свободных очков опыта!<br/>';
}
}

if($_GET[acti]=="hp"){
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[hpall]+5;
mysql_query("UPDATE users SET skill = '$nskill',hpall='$nparm' WHERE `usr` = '$log'");
echo'<img src="pic/yes.png" alt="*"/> Параметр повышен успешно!<br/>';
}else{
echo'<img src="pic/no.png" alt="*"/> Нет свободных очков опыта!<br/>';
}
}

if($_GET[acti]=="mp"){
if($udata[skill]>0){
$nskill=$udata[skill]-1;
$nparm=$udata[mpall]+5;
mysql_query("UPDATE users SET skill = '$nskill',mpall='$nparm' WHERE `usr` = '$log'");
echo'<img src="pic/yes.png" alt="*"/> Параметр повышен успешно!<br/>';
}else{
echo'<img src="pic/no.png" alt="*"/> Нет свободных очков опыта!<br/>';
}
}
}
$req = mysql_query("SELECT * FROM `users` WHERE `usr` = '$log' and `pass`='$pas' LIMIT 1");
$udata = mysql_fetch_assoc($req);
echo"<img src=\"pic/hp.png\" alt=\"*\"/> Жизни: <b>$udata[hpall]</b>";if($udata[skill]>0){
echo"[<a href=\"pers.php?acti=hp\">+5</a>]";
}echo'<br/>';
echo"<img src=\"pic/mp.png\" alt=\"*\"/> Энергии: <b>$udata[mpall]</b>";if($udata[skill]>0){
echo"[<a href=\"pers.php?acti=mp\">+5</a>]";
}echo'<br/>';

echo"<img src=\"pic/pers/udar.png\" alt=\"*\"/> Сила: <b>$udata[sila]</b>";
if($udata[skill]>0){
echo"[<a href=\"pers.php?acti=sila\">+1</a>]";
}echo'<br/>';

echo"<img src=\"pic/pers/lovk.png\" alt=\"*\"/> Ловкость: <b>$udata[lovk]</b>";
if($udata[skill]>0){
echo"[<a href=\"pers.php?acti=lovk\">+1</a>]";
}echo'<br/>';
echo"<img src=\"pic/pers/verh.png\" alt=\"*\"/> Защита: <b>$udata[prot]</b>";
if($udata[skill]>0){
echo"[<a href=\"pers.php?acti=prot\">+1</a>]";
}echo'<br/>';
echo"<img src=\"pic/pers/krit.png\" alt=\"*\"/> Критический удар: <b>$udata[krit]%</b>";
if($udata[skill]>0){
echo"[<a href=\"pers.php?acti=krit\">+3</a>]";
}echo'<br/>';
echo"<img src=\"pic/pers/krit.png\" alt=\"*\"/> Крит-урон: <b>$udata[ukrit]%</b>";
if($udata[skill]>0){
echo"[<a href=\"pers.php?actit=ukrit\">+3</a>]";
}echo'<br/>';
echo"</font></div>";
echo'</div><div class="menu"><ul class="nav">';
if($new_mail>0){echo'<li><a href="msg.php?mod=read"><img src="pic/main/msg.gif" alt="*"/> Почта ('.$new_mail.')</a></li>';}
else{echo'<li><a href="msg.php?mod=read"><img src="pic/main/msg.gif" alt="*"/> Почта </a></li>';}
echo"<li><a href=\"anketa.php?\"><img src=\"pic/game/anketa.gif\" alt=\"*\"/> Анкета</a></li>";
echo "<li><a href=\"set.php?\"><img src='pic/main/settings.png' alt='*'/> Настройки </a></li>";
echo"<li><a href=\"pers.php?act=mag\"><img src=\"pic/game/umen.png\" alt=\"*\"/> Мои умения</a></li>";
echo"<li><a href=\"pers.php?act=stats\"><img src=\"pic/main/194.gif\" alt=\"*\"/> Статистика</a></li>";
echo"<li><a href=\"pers.php?act=vooruzh\"><img src=\"pic/main/guilds.png\" alt=\"*\"/> Вооружение</a></li>
<li><a href=\"pers.php?act=skill&amp;what=res\"><img src=\"pic/pers/jel.png\" alt=\"*\"/> Ресурсы</a></li>";
echo"<li><a href=\"index.php?mod=ref\"><img src=\"pic/game/friends.gif\" alt=\"*\"/> Пригласить друзей</a></li>";
/*$part=mysql_num_rows(mysql_query("SELECT * FROM `partner` WHERE `usr` = '$log'"));
if($part==0){echo'<li><a href="partner.php?"><img src="pic/game/prices.png" alt="*"/> Партнёрская программа</a></li>';}
if($part==1){echo'<li><a href="partner.php?mod=kabinet"><img src="pic/game/prices.png" alt="*"/> Партнёрская программа</a></li>';}*/
echo'<li><a href="index.php?mod=exit"><img src="pic/main/exit.png" alt="*"/> <font color="grey">Выход</font></a></li></div>';

////////////////////
}elseif($_GET[act]==skill){
switch($_GET[what]){
default:
echo'Ошибка! Доступ закрыт!<br/>';
echo"<a href=\"pers.php?\">Назад</a>";
break;

case 'res':
echo"Железо: <img src=\"pic/pers/jel.png\" alt=\"*\"/> $jel[kol]</br>
Камень: <img src=\"pic/pers/kam.png\" alt=\"*\"/> $kam[kol]</br>
Серебро: <img src=\"pic/pers/ser.png\" alt=\"*\"/> $ser[kol]</br>
Нефрит: <img src=\"pic/pers/nef.png\" alt=\"*\"/> $nef[kol]</br>
Обсидиан <img src=\"pic/pers/obs.png\" alt=\"*\"/> $obs[kol]</br>";
echo"<a href=\"pers.php?\">Назад</a>";
break;

}}

elseif($_GET[act]==shmot){//Шмот
echo"<b>Снаряжение</b>$div<br/>";
$i=1;
while($i<=10){switch($i){
case '1':
$tip='Оружие';
$gt='weapon';
break;
case '2':
$tip='Шлем';
$gt='golova';
break;
case '3':
$tip='Доспех';
$gt='body';
break;
case '4':
$tip='Плащ';
$gt='plash';
break;
case '5':
$tip='Рукавицы';
$gt='ruki';
break;
case '6':
$tip='Пояс';
$gt='poyas';
break;
case '7':
$tip='Сапоги';
$gt='nogi';
break;
case '8':
$tip='Щит';
$gt='shit';
break;
case '9':
$tip='Амулет';
$gt='amulet';
break;
case '10':
$tip='Кольцо';
$gt='kolco';
break;}
if($gt!='kolco'){
echo"$tip: ";
$req = mysql_query("SELECT id,name FROM `item` WHERE `usr` = '$log' and `tip`='$gt' and `image`='yes'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"Пусто<br/>";}else{               
$mag = mysql_fetch_array($req);
echo" <a href='inventar.php?mod=info&amp;id=$mag[id]'><b>$mag[name]</b></a> [<a href='snyat.php?tip=$gt'><font color='red'>X</font></a>]
<br/>";}}else{
$req = mysql_query("SELECT id,name FROM `item` WHERE `usr` = '$log' and `tip`='$gt' and `image`='yes'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"Кольцо: Пусто<br/>";
echo"Кольцо: Пусто<br/>";
}elseif($avto==1){
$mag = mysql_fetch_array($req);
echo"Кольцо: <a href='inventar.php?mod=info&amp;id=$mag[id]'><b>$mag[name]</b></a> [<a href='snyat.php?tip=$gt'><font color='red'>X</font></a>]<br/>";
echo"Кольцо: Пусто<br/>";
}elseif($avto==2){
While($best = mysql_fetch_array($req)){              
echo"Кольцо: <a href='inventar.php?mod=info&amp;id=$best[id]'><b>$best[name]</b></a> [<a href='snyat.php?tip=$gt&amp;id=$best[id]'><font color='red'>X</font></a>]<br/>";}}}$i++;}

//Конец
}elseif($_GET[act]==stats){
echo"<b>Статистика:</b><br/>
<b>СЛАВА: $udata[slava]</b><br/>
Предательства: $udata[predatel]<br/>
Побед на арене: $udata[arenawins]<br/>
Поражений на арене: $udata[arenaloses]<br/>
Побед: $udata[wins]<br/>
Поражений: $udata[loses]";

}elseif($_GET[act]==mag){
$req = mysql_query("SELECT * FROM `mag` WHERE `usr` = '$log'");
$umen = mysql_fetch_array($req);
if(mysql_num_rows($req)==0){echo '<b>Нет умений!</b>';
echo"<a href=\"pers.php?\">Назад</a>";}else{
echo"Ваши умения $div";
echo"<img src=\"pic/game/yar.jpg\" alt=\"*\"/> Ярость титана: <font color='#71cc71'><b>$umen[yarost]%</b></font><br/>";
echo"<img src=\"pic/game/bro.jpg\" alt=\"*\"/> Крепкая броня: <font color='#71cc71'><b>$umen[bronya]%</b></font><br/>";
echo"<img src=\"pic/game/vih.jpg\" alt=\"*\"/> Вихрь критов: <font color='#71cc71'><b>$umen[vihr]%</b></font><br/>";
echo"<img src=\"pic/game/sto.jpg\" alt=\"*\"/> Защитная стойка: <font color='#71cc71'><b>$umen[stoika]%</b></font><br/>
<a href=\"trenirovka.php?\">Повысить</a>";

echo"$div <a href=\"pers.php?\">Назад</a>";
}}

elseif($_GET[act]==vooruzh){
echo"<b>Снаряжение</b>$div";
$i=1;
while($i<=10){switch($i){
case '6':
$tip='Оружие';
$gt='weapon';
break;
case '1':
$tip='Шлем';
$gt='golova';
break;
case '2':
$tip='Доспех';
$gt='body';
break;
case '4':
$tip='Плащ';
$gt='plash';
break;
case '5':
$tip='Рукавицы';
$gt='ruki';
break;
case '3':
$tip='Наплечник';
$gt='poyas';
break;
case '7':
$tip='Сапоги';
$gt='nogi';
break;
case '8':
$tip='Щит';
$gt='shit';
break;
case '9':
$tip='Амулет';
$gt='amulet';
break;
case '10':
$tip='Кольцо';
$gt='kolco';
break;}
$req = mysql_query("SELECT * FROM `weapon` WHERE `usr` = '$log' and `tip`='$gt' and `image`='yes'");
$avto=mysql_num_rows($req);
if($avto!==0){              
$mag = mysql_fetch_array($req);
if(!empty($mag[img])){$patch="art/$mag[img]";}else{
$patch="weapon/$gt$mag[kompl].jpg";}
echo"<img class=\"float-left\" src=\"pic/pers/$patch\" height=\"33\" weight=\"33\" alt=\"\"/> <a href='inventar.php?mod=info&amp;id=$mag[id]'><b>$mag[name]</b></a></br>$mag[nlvl] ур, $tip <a href='dress.php?mod=snyat&tip=$gt'><font color='red'>снять</font></a>
<br/></p>";}

if($avto<=0){echo"<img class=\"left\" src=\"pic/pers/weapon/$gt.jpg\"/> $tip</br>";}
$i++;}

}
@include('files/down.php');
?>